Subject: Re: [Bitcoin-development] NODE_BLOOM BIP

From: Gavin Andresen <[email-masked]>
Date: Mon, 19 Aug 2013 08:22:10 +1000

Mike pointed out exactly the reason I oppose a NODE_BLOOM service bit: I
also think it is a bad idea to start making various bits and pieces of the
protocol optional.

It is bad for privacy (easier to fingerprint nodes) and bad for
decentralization (fewer nodes support your required feature set). And every
bit you add can give you an exponential number of combinations your QA team
should test.

I'd say the same thing about NODE_TRANSACTION ("I don't know about blocks,
have and NODE_BLOCK bits.

-- 
--
Gavin Andresen